<?php

if( ! function_exists('bridge_qode_include_kiko_icon_pack') ){
    function bridge_qode_include_kiko_icon_pack( $icon_packs ){
        $icon_packs['kiko'] = esc_html__('Kiko', 'bridge');

        return $icon_packs;
    }

    add_filter('bridge_qode_filter_icon_packs', 'bridge_qode_include_kiko_icon_pack');
}

class BridgeQodeIconsFontKiko implements iIconCollection {
    public $icons;
    public $title;
    public $param;
    public $styleUrl;
	public $socialIcons;
	public $backTopTopIcons;

    public function __construct($title = "", $param = "") {
        $this->icons = array();
        $this->title = $title;
        $this->param = $param;
        $this->socialIcons = array();
        $this->backTopTopIcons = array();
        $this->setIconsArray();
        $this->setBackToTopIconsArray();
        $this->styleUrl = QODE_ROOT . '/css/kiko/kiko-all.css';
    }

    public function setIconsArray() {
        $this->icons = array(
            'kikol kiko-train' => '\f001',
            'kikol kiko-car' => '\f002',
            'kikol kiko-truck' => '\f003',
            'kikol kiko-bike' => '\f004',
            'kikol kiko-sailboat' => '\f005',
            'kikol kiko-airplane' => '\f006',
            'kikol kiko-helicopter' => '\f007',
            'kikol kiko-motor-scooter' => '\f008',
            'kikol kiko-motorcycle' => '\f009',
            'kikol kiko-air-balloon' => '\f010',
            'kikol kiko-plane-takes-off' => '\f011',
            'kikol kiko-plane-lands' => '\f012',
            'kikol kiko-bus' => '\f013',
            'kikol kiko-cargo-vessel' => '\f014',
            'kikol kiko-electromobile' => '\f015',
            'kikol kiko-rocket' => '\f016',
            'kikol kiko-rocket-shuttle' => '\f017',
            'kikol kiko-ambulance' => '\f018',
            'kikol kiko-police' => '\f019',
            'kikol kiko-tank' => '\f020',
            'kikol kiko-tractor' => '\f021',
            'kikol kiko-tow-truck' => '\f022',
            'kikol kiko-airship' => '\f023',
            'kikol kiko-scooter' => '\f024',
            'kikol kiko-self-balancing-scooter' => '\f025',
            'kikol kiko-segway' => '\f026',
            'kikol kiko-metro' => '\f027',
            'kikol kiko-syringe' => '\f028',
            'kikol kiko-pills' => '\f029',
            'kikol kiko-microscope' => '\f030',
            'kikol kiko-jar-of-medicine' => '\f031',
            'kikol kiko-tubes' => '\f032',
            'kikol kiko-medicine' => '\f033',
            'kikol kiko-toilet' => '\f034',
            'kikol kiko-patch' => '\f035',
            'kikol kiko-pregnancy' => '\f036',
            'kikol kiko-medical-app' => '\f037',
            'kikol kiko-herbs' => '\f038',
            'kikol kiko-recipe' => '\f039',
            'kikol kiko-crushing-of-medicines' => '\f040',
            'kikol kiko-blood' => '\f041',
            'kikol kiko-donor' => '\f042',
            'kikol kiko-brain' => '\f043',
            'kikol kiko-kidneys' => '\f044',
            'kikol kiko-liver' => '\f045',
            'kikol kiko-lungs' => '\f046',
            'kikol kiko-heart' => '\f047',
            'kikol kiko-intestine' => '\f048',
            'kikol kiko-stomach' => '\f049',
            'kikol kiko-healthy-tooth' => '\f050',
            'kikol kiko-aching-tooth' => '\f051',
            'kikol kiko-nose' => '\f052',
            'kikol kiko-ear' => '\f053',
            'kikol kiko-eye' => '\f054',
            'kikol kiko-chest' => '\f055',
            'kikol kiko-doctor' => '\f056',
            'kikol kiko-doctor-woman' => '\f057',
            'kikol kiko-scheduled-med' => '\f058',
            'kikol kiko-hand' => '\f059',
            'kikol kiko-foot' => '\f060',
            'kikol kiko-hospital' => '\f061',
            'kikol kiko-stethoscope' => '\f062',
            'kikol kiko-bacteria' => '\f063',
            'kikol kiko-DNA' => '\f064',
            'kikol kiko-spine' => '\f065,',
            'kikol kiko-bed-rest' => '\f066',
            'kikol kiko-bone' => '\f067',
            'kikol kiko-medical-cross' => '\f068',
            'kikol kiko-medical-cross-usa' => '\f069',
            'kikol kiko-dropper' => '\f070',
            'kikol kiko-heart-rate' => '\f071',
            'kikol kiko-marijuana' => '\f072',
            'kikol kiko-fracture' => '\f073',
            'kikol kiko-urine' => '\f074',
            'kikol kiko-fecal' => '\f075',
            'kikol kiko-diagnostics' => '\f076',
            'kikol kiko-allergy' => '\f077',
            'kikol kiko-call-med' => '\f078',
            'kikol kiko-crutches' => '\f079',
            'kikol kiko-wheelchair' => '\f080',
            'kikol kiko-skull' => '\f081',
            'kikol kiko-childbirth' => '\f082',
            'kikol kiko-vitamins' => '\f083',
            'kikol kiko-exclamation-circle' => '\f084',
            'kikol kiko-exclamation-triangle' => '\f085',
            'kikol kiko-arrow-down-circle' => '\f086',
            'kikol kiko-arrow-up-circle' => '\f087',
            'kikol kiko-arrow-left-circle' => '\f088',
            'kikol kiko-arrow-right-circle' => '\f089',
            'kikol kiko-arrow-up' => '\f090',
            'kikol kiko-arrow-down' => '\f091',
            'kikol kiko-arrow-right' => '\f092',
            'kikol kiko-arrow-left' => '\f093',
            'kikol kiko-double-arrow-up' => '\f094',
            'kikol kiko-double-arrow-down' => '\f095',
            'kikol kiko-double-arrow-left' => '\f096',
            'kikol kiko-double-arrow-right' => '\f097',
            'kikol kiko-clip' => '\f098',
            'kikol kiko-triangular-arrow-up' => '\f099',
            'kikol kiko-triangular-arrow-down' => '\f100',
            'kikol kiko-triangular-arrow-left' => '\f101',
            'kikol kiko-triangular-arrow-right' => '\f102',
            'kikol kiko-email-at' => '\f103',
            'kikol kiko-signal' => '\f104',
            'kikol kiko-bad-signal' => '\f105',
            'kikol kiko-no-signal' => '\f106',
            'kikol kiko-video' => '\f107',
            'kikol kiko-sound-on' => '\f108',
            'kikol kiko-sound-off' => '\f109',
            'kikol kiko-call-on' => '\f110',
            'kikol kiko-call-off' => '\f111',
            'kikol kiko-bluetooth' => '\f112',
            'kikol kiko-wifi' => '\f113',
            'kikol kiko-book-open' => '\f114',
            'kikol kiko-book-close' => '\f115',
            'kikol kiko-bookmark' => '\f116',
            'kikol kiko-light-turn-on' => '\f117',
            'kikol kiko-light-turn-off' => '\f118',
            'kikol kiko-brush' => '\f119',
            'kikol kiko-full-battery' => '\f120',
            'kikol kiko-half-empty-battery' => '\f121',
            'kikol kiko-empty-battery' => '\f122',
            'kikol kiko-check-circle' => '\f123',
            'kikol kiko-check-square' => '\f124',
            'kikol kiko-check' => '\f125',
            'kikol kiko-cross-circle' => '\f126',
            'kikol kiko-cross-square' => '\f127',
            'kikol kiko-cross' => '\f128',
            'kikol kiko-clock' => '\f129',
            'kikol kiko-cloud-download' => '\f130',
            'kikol kiko-cloud-load' => '\f131',
            'kikol kiko-cloud' => '\f132',
            'kikol kiko-loading' => '\f133',
            'kikol kiko-credit-card' => '\f134',
            'kikol kiko-crop' => '\f135',
            'kikol kiko-pencil' => '\f136',
            'kikol kiko-pencil-write' => '\f137',
            'kikol kiko-drop' => '\f138',
            'kikol kiko-no-drop' => '\f139',
            'kikol kiko-email' => '\f140',
            'kikol kiko-email-open' => '\f141',
            'kikol kiko-email-forward' => '\f142',
            'kikol kiko-email-deleted' => '\f143',
            'kikol kiko-email-attachment' => '\f144',
            'kikol kiko-emails' => '\f145',
            'kikol kiko-expand' => '\f146',
            'kikol kiko-open-eye' => '\f147',
            'kikol kiko-no-eye' => '\f148',
            'kikol kiko-trash' => '\f149',
            'kikol kiko-sheet' => '\f150',
            'kikol kiko-sheet-plus' => '\f151',
            'kikol kiko-sheet-minus' => '\f152',
            'kikol kiko-sheet-text' => '\f153',
            'kikol kiko-video-file' => '\f154',
            'kikol kiko-flag' => '\f155',
            'kikol kiko-gift' => '\f156',
            'kikol kiko-globe-europe' => '\f157',
            'kikol kiko-globe-north-america' => '\f158',
            'kikol kiko-globe-asia' => '\f159',
            'kikol kiko-globe-australia' => '\f160',
            'kikol kiko-globe' => '\f161',
            'kikol kiko-home' => '\f162',
            'kikol kiko-hashtag' => '\f163',
            'kikol kiko-headphones' => '\f164',
            'kikol kiko-microphone' => '\f165',
            'kikol kiko-microphone-off' => '\f166',
            'kikol kiko-link' => '\f167',
            'kikol kiko-zoom' => '\f168',
            'kikol kiko-zoom-minus' => '\f169',
            'kikol kiko-zoom-plus' => '\f170',
            'kikol kiko-heart-symbol' => '\f171',
            'kikol kiko-picture' => '\f172',
            'kikol kiko-information' => '\f173',
            'kikol kiko-layers' => '\f174',
            'kikol kiko-hamburger-menu' => '\f175',
            'kikol kiko-plus' => '\f176',
            'kikol kiko-circle-plus' => '\f177',
            'kikol kiko-square-plus' => '\f178',
            'kikol kiko-pause' => '\f179',
            'kikol kiko-record' => '\f180',
            'kikol kiko-forward' => '\f181',
            'kikol kiko-previous' => '\f182',
            'kikol kiko-note' => '\f183',
            'kikol kiko-treble-clef' => '\f184',
            'kikol kiko-navigation' => '\f185',
            'kikol kiko-moon' => '\f186',
            'kikol kiko-sun' => '\f187',
            'kikol kiko-comment' => '\f188',
            'kikol kiko-dialogue' => '\f189',
            'kikol kiko-user' => '\f190',
            'kikol kiko-user-add' => '\f191',
            'kikol kiko-user-minus' => '\f192',
            'kikol kiko-user-check' => '\f193',
            'kikol kiko-user-x' => '\f194',
            'kikol kiko-users' => '\f195',
            'kikol kiko-phone' => '\f196',
            'kikol kiko-turn-off-phone' => '\f197',
            'kikol kiko-question' => '\f198',
            'kikol kiko-label' => '\f199',
            'kikol kiko-off' => '\f200',
            'kikol kiko-shield' => '\f201',
            'kikol kiko-shield-crossed' => '\f202',
            'kikol kiko-gear' => '\f203',
            'kikol kiko-several-gears' => '\f204',
            'kikol kiko-wrench' => '\f205',
            'kikol kiko-shopping-cart' => '\f206',
            'kikol kiko-shopping-cart-add' => '\f207',
            'kikol kiko-shopping-cart-delete' => '\f208',
            'kikol kiko-shopping-cart-pay' => '\f209',
            'kikol kiko-shopping-basket' => '\f210',
            'kikol kiko-shopping-basket-add' => '\f211',
            'kikol kiko-shopping-basket-delete' => '\f212',
            'kikol kiko-termometer-minus' => '\f213',
            'kikol kiko-termometer-plus' => '\f214',
            'kikol kiko-star' => '\f215',
            'kikol kiko-half-star' => '\f216',
            'kikol kiko-text' => '\f217',
            'kikol kiko-lock' => '\f218',
            'kikol kiko-unlock' => '\f219',
            'kikol kiko-umbrella' => '\f220',
            'kikol kiko-save' => '\f221',
            'kikol kiko-save-error' => '\f222',
            'kikol kiko-paper-bag' => '\f223',
            'kikol kiko-circle-checkbox' => '\f224',
            'kikol kiko-circle-checkbox-full' => '\f225',
            'kikol kiko-square-checkbox' => '\f226',
            'kikol kiko-square-checkbox-full' => '\f227',
            'kikol kiko-marker-map' => '\f228',
            'kikol kiko-pin' => '\f229',
            'kikol kiko-map' => '\f230',
            'kikol kiko-lightning' => '\f231',
            'kikol kiko-lightning-off' => '\f232',
            'kikol kiko-pipette' => '\f233',
            'kikol kiko-compass' => '\f234',
            'kikol kiko-copy' => '\f235',
            'kikol kiko-cut' => '\f236',
            'kikol kiko-past' => '\f237',
            'kikol kiko-information-symbol' => '\f238',
            'kikol kiko-download-file' => '\f239',
            'kikol kiko-broken-link' => '\f240',
            'kikol kiko-email-read' => '\f241',
            'kikol kiko-spam' => '\f242',
            'kikol kiko-globe-latin-america' => '\f243',
            'kikol kiko-globe-japan' => '\f244',
            'kikol kiko-globe-africa' => '\f245',
            'kikol kiko-globe-east' => '\f246',
            'kikol kiko-globe-antarctic' => '\f247',
            'kikol kiko-fire' => '\f248',
            'kikol kiko-support' => '\f249',
            'kikol kiko-recycle-symbol' => '\f250',
            'kikol kiko-reload-arrow' => '\f251',
            'kikol kiko-cross-line' => '\f252',
            'kikol kiko-check-line' => '\f253',
            'kikol kiko-plus-line' => '\f254',
            'kikol kiko-timer' => '\f255',
            'kikol kiko-alarm' => '\f256',
            'kikol kiko-alarm-off' => '\f257',
            'kikol kiko-fingerprint' => '\f258',
            'kikol kiko-scan-fingerprint' => '\f259',
            'kikol kiko-computer-virus' => '\f260',
            'kikol kiko-the-compass' => '\f234',
            'kikol kiko-wifi-off' => '\f261',
            'kikol kiko-quote-left' => '\f262',
            'kikol kiko-quote-right' => '\f263',
            'kikol kiko-ellipsis-menu-v' => '\f264',
            'kikol kiko-ellipsis-menu-h' => '\f265',
            'kikol kiko-iphone' => '\f266',
            'kikol kiko-android-phone' => '\f267',
            'kikol kiko-google-pixel-phone' => '\f268',
            'kikol kiko-old-phone' => '\f269',
            'kikol kiko-nokia-3310' => '\f270',
            'kikol kiko-bendable-smartphone' => '\f271',
            'kikol kiko-tablet' => '\f272',
            'kikol kiko-imac-computer' => '\f274',
            'kikol kiko-notebook' => '\f275',
            'kikol kiko-top-notebook' => '\f276',
            'kikol kiko-screen' => '\f277',
            'kikol kiko-mouse' => '\f278',
            'kikol kiko-graphic-pen' => '\f279',
            'kikol kiko-vr' => '\f280',
            'kikol kiko-google-glass' => '\f281',
            'kikol kiko-graphics-tablet' => '\f282',
            'kikol kiko-printer' => '\f283',
            'kikol kiko-scanner' => '\f284',
            'kikol kiko-warehouse-scanner' => '\f285',
            'kikol kiko-iwatch' => '\f286',
            'kikol kiko-smart-watch' => '\f287',
            'kikol kiko-navigator' => '\f288',
            'kikol kiko-dashcam' => '\f289',
            'kikol kiko-music-speaker' => '\f290',
            'kikol kiko-yandex-alice' => '\f291',
            'kikol kiko-cortana-station' => '\f292',
            'kikol kiko-hello-google' => '\f293',
            'kikol kiko-amazon-station' => '\f294',
            'kikol kiko-web-camera' => '\f295',
            'kikol kiko-desktop-microphone' => '\f296',
            'kikol kiko-earphones' => '\f297',
            'kikol kiko-music-headphones' => '\f298',
            'kikol kiko-headphones-microphone' => '\f299',
            'kikol kiko-cable' => '\f300',
            'kikol kiko-socket-eu' => '\f301',
            'kikol kiko-socket-us' => '\f302',
            'kikol kiko-fitness-bracelet' => '\f303',
            'kikol kiko-gps-tracker' => '\f304',
            'kikol kiko-satellite-communication' => '\f305',
            'kikol kiko-television' => '\f306',
            'kikol kiko-digital-tv' => '\f307',
            'kikol kiko-router' => '\f308',
            'kikol kiko-external-drive' => '\f309',
            'kikol kiko-go-pro-camera' => '\f310',
            'kikol kiko-quadcopter' => '\f311',
            'kikol kiko-radio' => '\f312',
            'kikol kiko-transmitter' => '\f313',
            'kikol kiko-baby-radio-monitor' => '\f314',
            'kikol kiko-baby-monitor' => '\f315',
            'kikol kiko-joystick' => '\f316',
            'kikol kiko-portable-console' => '\f317',
            'kikol kiko-ipod' => '\f318',
            'kikol kiko-handsfree' => '\f319',
            'kikol kiko-camera' => '\f320',
            'kikol kiko-professional-camera' => '\f321',
            'kikol kiko-professional-video-camera' => '\f322',
            'kikol kiko-journalist-microphone' => '\f323',
            'kikol kiko-studio-lighting' => '\f324',
            'kikol kiko-robot-pet' => '\f325',
            'kikol kiko-robot-vacuum-cleaner' => '\f326',
            'kikol kiko-robot-big-dog' => '\f327',
            'kikol kiko-humanoid-robot' => '\f328',
            'kikol kiko-robot' => '\f329',
            'kikol kiko-robot-head' => '\f330',
            'kikol kiko-desktop-computer' => '\f273',
            'kikol kiko-anchor' => '\f331',
            'kikol kiko-calendar' => '\f332',
            'kikol kiko-schedule' => '\f333',
            'kikol kiko-address-book' => '\f334',
            'kikol kiko-facebook' => '\f335',
            'kikol kiko-twitter' => '\f336',
            'kikol kiko-dribbble' => '\f337',
            'kikol kiko-behance' => '\f338',
            'kikol kiko-pinterest' => '\f339',
            'kikol kiko-vkontakte' => '\f340',
            'kikol kiko-odnoklassniki' => '\f341',
            'kikol kiko-flipboard' => '\f342',
            'kikol kiko-whatsapp' => '\f343',
            'kikol kiko-blogger' => '\f344',
            'kikol kiko-evernote' => '\f345',
            'kikol kiko-gmail' => '\f346',
            'kikol kiko-line' => '\f347',
            'kikol kiko-myspace' => '\f348',
            'kikol kiko-pocket' => '\f349',
            'kikol kiko-skype' => '\f350',
            'kikol kiko-viadeo' => '\f351',
            'kikol kiko-xing' => '\f352',
            'kikol kiko-linkedin' => '\f353',
            'kikol kiko-naver' => '\f354',
            'kikol kiko-stumbleupon' => '\f355',
            'kikol kiko-viber' => '\f356',
            'kikol kiko-snapchat' => '\f357',
            'kikol kiko-yammer' => '\f358',
            'kikol kiko-digg' => '\f359',
            'kikol kiko-messenger' => '\f360',
            'kikol kiko-live-journal' => '\f361',
            'kikol kiko-newsvine' => '\f362',
            'kikol kiko-qzone' => '\f363',
            'kikol kiko-telegram' => '\f364',
            'kikol kiko-yummly' => '\f365',
            'kikol kiko-douban' => '\f366',
            'kikol kiko-flattr' => '\f367',
            'kikol kiko-hatena' => '\f368',
            'kikol kiko-reddit' => '\f369',
            'kikol kiko-tumblr' => '\f370',
            'kikol kiko-weibo' => '\f371',
            'kikol kiko-google' => '\f372',
            'kikol kiko-yandex' => '\f373',
            'kikol kiko-share' => '\f374',
            'kikol kiko-yandex-aura' => '\f375',
            'kikol kiko-wechat' => '\f376',
            'kikol kiko-baidu' => '\f377',
            'kikol kiko-bing' => '\f378',
            'kikol kiko-like' => '\f379',
            'kikol kiko-unlike' => '\f380',
            'kikor kiko-train' => '\f001',
            'kikor kiko-car' => '\f002',
            'kikor kiko-truck' => '\f003',
            'kikor kiko-bike' => '\f004',
            'kikor kiko-sailboat' => '\f005',
            'kikor kiko-airplane' => '\f006',
            'kikor kiko-helicopter' => '\f007',
            'kikor kiko-motor-scooter' => '\f008',
            'kikor kiko-motorcycle' => '\f009',
            'kikor kiko-air-balloon' => '\f010',
            'kikor kiko-plane-takes-off' => '\f011',
            'kikor kiko-plane-lands' => '\f012',
            'kikor kiko-bus' => '\f013',
            'kikor kiko-cargo-vessel' => '\f014',
            'kikor kiko-electromobile' => '\f015',
            'kikor kiko-rocket' => '\f016',
            'kikor kiko-rocket-shuttle' => '\f017',
            'kikor kiko-ambulance' => '\f018',
            'kikor kiko-police' => '\f019',
            'kikor kiko-tank' => '\f020',
            'kikor kiko-tractor' => '\f021',
            'kikor kiko-tow-truck' => '\f022',
            'kikor kiko-airship' => '\f023',
            'kikor kiko-scooter' => '\f024',
            'kikor kiko-self-balancing-scooter' => '\f025',
            'kikor kiko-segway' => '\f026',
            'kikor kiko-metro' => '\f027',
            'kikor kiko-syringe' => '\f028',
            'kikor kiko-pills' => '\f029',
            'kikor kiko-microscope' => '\f030',
            'kikor kiko-jar-of-medicine' => '\f031',
            'kikor kiko-tubes' => '\f032',
            'kikor kiko-medicine' => '\f033',
            'kikor kiko-toilet' => '\f034',
            'kikor kiko-patch' => '\f035',
            'kikor kiko-pregnancy' => '\f036',
            'kikor kiko-medical-app' => '\f037',
            'kikor kiko-herbs' => '\f038',
            'kikor kiko-recipe' => '\f039',
            'kikor kiko-crushing-of-medicines' => '\f040',
            'kikor kiko-blood' => '\f041',
            'kikor kiko-donor' => '\f042',
            'kikor kiko-brain' => '\f043',
            'kikor kiko-kidneys' => '\f044',
            'kikor kiko-liver' => '\f045',
            'kikor kiko-lungs' => '\f046',
            'kikor kiko-heart' => '\f047',
            'kikor kiko-intestine' => '\f048',
            'kikor kiko-stomach' => '\f049',
            'kikor kiko-healthy-tooth' => '\f050',
            'kikor kiko-aching-tooth' => '\f051',
            'kikor kiko-nose' => '\f052',
            'kikor kiko-ear' => '\f053',
            'kikor kiko-eye' => '\f054',
            'kikor kiko-chest' => '\f055',
            'kikor kiko-doctor' => '\f056',
            'kikor kiko-doctor-woman' => '\f057',
            'kikor kiko-scheduled-med' => '\f058',
            'kikor kiko-hand' => '\f059',
            'kikor kiko-foot' => '\f060',
            'kikor kiko-hospital' => '\f061',
            'kikor kiko-stethoscope' => '\f062',
            'kikor kiko-bacteria' => '\f063',
            'kikor kiko-DNA' => '\f064',
            'kikor kiko-spine' => '\f065,',
            'kikor kiko-bed-rest' => '\f066',
            'kikor kiko-bone' => '\f067',
            'kikor kiko-medical-cross' => '\f068',
            'kikor kiko-medical-cross-usa' => '\f069',
            'kikor kiko-dropper' => '\f070',
            'kikor kiko-heart-rate' => '\f071',
            'kikor kiko-marijuana' => '\f072',
            'kikor kiko-fracture' => '\f073',
            'kikor kiko-urine' => '\f074',
            'kikor kiko-fecal' => '\f075',
            'kikor kiko-diagnostics' => '\f076',
            'kikor kiko-allergy' => '\f077',
            'kikor kiko-call-med' => '\f078',
            'kikor kiko-crutches' => '\f079',
            'kikor kiko-wheelchair' => '\f080',
            'kikor kiko-skull' => '\f081',
            'kikor kiko-childbirth' => '\f082',
            'kikor kiko-vitamins' => '\f083',
            'kikor kiko-exclamation-circle' => '\f084',
            'kikor kiko-exclamation-triangle' => '\f085',
            'kikor kiko-arrow-down-circle' => '\f086',
            'kikor kiko-arrow-up-circle' => '\f087',
            'kikor kiko-arrow-left-circle' => '\f088',
            'kikor kiko-arrow-right-circle' => '\f089',
            'kikor kiko-arrow-up' => '\f090',
            'kikor kiko-arrow-down' => '\f091',
            'kikor kiko-arrow-right' => '\f092',
            'kikor kiko-arrow-left' => '\f093',
            'kikor kiko-double-arrow-up' => '\f094',
            'kikor kiko-double-arrow-down' => '\f095',
            'kikor kiko-double-arrow-left' => '\f096',
            'kikor kiko-double-arrow-right' => '\f097',
            'kikor kiko-clip' => '\f098',
            'kikor kiko-triangular-arrow-up' => '\f099',
            'kikor kiko-triangular-arrow-down' => '\f100',
            'kikor kiko-triangular-arrow-left' => '\f101',
            'kikor kiko-triangular-arrow-right' => '\f102',
            'kikor kiko-email-at' => '\f103',
            'kikor kiko-signal' => '\f104',
            'kikor kiko-bad-signal' => '\f105',
            'kikor kiko-no-signal' => '\f106',
            'kikor kiko-video' => '\f107',
            'kikor kiko-sound-on' => '\f108',
            'kikor kiko-sound-off' => '\f109',
            'kikor kiko-call-on' => '\f110',
            'kikor kiko-call-off' => '\f111',
            'kikor kiko-bluetooth' => '\f112',
            'kikor kiko-wifi' => '\f113',
            'kikor kiko-book-open' => '\f114',
            'kikor kiko-book-close' => '\f115',
            'kikor kiko-bookmark' => '\f116',
            'kikor kiko-light-turn-on' => '\f117',
            'kikor kiko-light-turn-off' => '\f118',
            'kikor kiko-brush' => '\f119',
            'kikor kiko-full-battery' => '\f120',
            'kikor kiko-half-empty-battery' => '\f121',
            'kikor kiko-empty-battery' => '\f122',
            'kikor kiko-check-circle' => '\f123',
            'kikor kiko-check-square' => '\f124',
            'kikor kiko-check' => '\f125',
            'kikor kiko-cross-circle' => '\f126',
            'kikor kiko-cross-square' => '\f127',
            'kikor kiko-cross' => '\f128',
            'kikor kiko-clock' => '\f129',
            'kikor kiko-cloud-download' => '\f130',
            'kikor kiko-cloud-load' => '\f131',
            'kikor kiko-cloud' => '\f132',
            'kikor kiko-loading' => '\f133',
            'kikor kiko-credit-card' => '\f134',
            'kikor kiko-crop' => '\f135',
            'kikor kiko-pencil' => '\f136',
            'kikor kiko-pencil-write' => '\f137',
            'kikor kiko-drop' => '\f138',
            'kikor kiko-no-drop' => '\f139',
            'kikor kiko-email' => '\f140',
            'kikor kiko-email-open' => '\f141',
            'kikor kiko-email-forward' => '\f142',
            'kikor kiko-email-deleted' => '\f143',
            'kikor kiko-email-attachment' => '\f144',
            'kikor kiko-emails' => '\f145',
            'kikor kiko-expand' => '\f146',
            'kikor kiko-open-eye' => '\f147',
            'kikor kiko-no-eye' => '\f148',
            'kikor kiko-trash' => '\f149',
            'kikor kiko-sheet' => '\f150',
            'kikor kiko-sheet-plus' => '\f151',
            'kikor kiko-sheet-minus' => '\f152',
            'kikor kiko-sheet-text' => '\f153',
            'kikor kiko-video-file' => '\f154',
            'kikor kiko-flag' => '\f155',
            'kikor kiko-gift' => '\f156',
            'kikor kiko-globe-europe' => '\f157',
            'kikor kiko-globe-north-america' => '\f158',
            'kikor kiko-globe-asia' => '\f159',
            'kikor kiko-globe-australia' => '\f160',
            'kikor kiko-globe' => '\f161',
            'kikor kiko-home' => '\f162',
            'kikor kiko-hashtag' => '\f163',
            'kikor kiko-headphones' => '\f164',
            'kikor kiko-microphone' => '\f165',
            'kikor kiko-microphone-off' => '\f166',
            'kikor kiko-link' => '\f167',
            'kikor kiko-zoom' => '\f168',
            'kikor kiko-zoom-minus' => '\f169',
            'kikor kiko-zoom-plus' => '\f170',
            'kikor kiko-heart-symbol' => '\f171',
            'kikor kiko-picture' => '\f172',
            'kikor kiko-information' => '\f173',
            'kikor kiko-layers' => '\f174',
            'kikor kiko-hamburger-menu' => '\f175',
            'kikor kiko-plus' => '\f176',
            'kikor kiko-circle-plus' => '\f177',
            'kikor kiko-square-plus' => '\f178',
            'kikor kiko-pause' => '\f179',
            'kikor kiko-record' => '\f180',
            'kikor kiko-forward' => '\f181',
            'kikor kiko-previous' => '\f182',
            'kikor kiko-note' => '\f183',
            'kikor kiko-treble-clef' => '\f184',
            'kikor kiko-navigation' => '\f185',
            'kikor kiko-moon' => '\f186',
            'kikor kiko-sun' => '\f187',
            'kikor kiko-comment' => '\f188',
            'kikor kiko-dialogue' => '\f189',
            'kikor kiko-user' => '\f190',
            'kikor kiko-user-add' => '\f191',
            'kikor kiko-user-minus' => '\f192',
            'kikor kiko-user-check' => '\f193',
            'kikor kiko-user-x' => '\f194',
            'kikor kiko-users' => '\f195',
            'kikor kiko-phone' => '\f196',
            'kikor kiko-turn-off-phone' => '\f197',
            'kikor kiko-question' => '\f198',
            'kikor kiko-label' => '\f199',
            'kikor kiko-off' => '\f200',
            'kikor kiko-shield' => '\f201',
            'kikor kiko-shield-crossed' => '\f202',
            'kikor kiko-gear' => '\f203',
            'kikor kiko-several-gears' => '\f204',
            'kikor kiko-wrench' => '\f205',
            'kikor kiko-shopping-cart' => '\f206',
            'kikor kiko-shopping-cart-add' => '\f207',
            'kikor kiko-shopping-cart-delete' => '\f208',
            'kikor kiko-shopping-cart-pay' => '\f209',
            'kikor kiko-shopping-basket' => '\f210',
            'kikor kiko-shopping-basket-add' => '\f211',
            'kikor kiko-shopping-basket-delete' => '\f212',
            'kikor kiko-termometer-minus' => '\f213',
            'kikor kiko-termometer-plus' => '\f214',
            'kikor kiko-star' => '\f215',
            'kikor kiko-half-star' => '\f216',
            'kikor kiko-text' => '\f217',
            'kikor kiko-lock' => '\f218',
            'kikor kiko-unlock' => '\f219',
            'kikor kiko-umbrella' => '\f220',
            'kikor kiko-save' => '\f221',
            'kikor kiko-save-error' => '\f222',
            'kikor kiko-paper-bag' => '\f223',
            'kikor kiko-circle-checkbox' => '\f224',
            'kikor kiko-circle-checkbox-full' => '\f225',
            'kikor kiko-square-checkbox' => '\f226',
            'kikor kiko-square-checkbox-full' => '\f227',
            'kikor kiko-marker-map' => '\f228',
            'kikor kiko-pin' => '\f229',
            'kikor kiko-map' => '\f230',
            'kikor kiko-lightning' => '\f231',
            'kikor kiko-lightning-off' => '\f232',
            'kikor kiko-pipette' => '\f233',
            'kikor kiko-compass' => '\f234',
            'kikor kiko-copy' => '\f235',
            'kikor kiko-cut' => '\f236',
            'kikor kiko-past' => '\f237',
            'kikor kiko-information-symbol' => '\f238',
            'kikor kiko-download-file' => '\f239',
            'kikor kiko-broken-link' => '\f240',
            'kikor kiko-email-read' => '\f241',
            'kikor kiko-spam' => '\f242',
            'kikor kiko-globe-latin-america' => '\f243',
            'kikor kiko-globe-japan' => '\f244',
            'kikor kiko-globe-africa' => '\f245',
            'kikor kiko-globe-east' => '\f246',
            'kikor kiko-globe-antarctic' => '\f247',
            'kikor kiko-fire' => '\f248',
            'kikor kiko-support' => '\f249',
            'kikor kiko-recycle-symbol' => '\f250',
            'kikor kiko-reload-arrow' => '\f251',
            'kikor kiko-cross-line' => '\f252',
            'kikor kiko-check-line' => '\f253',
            'kikor kiko-plus-line' => '\f254',
            'kikor kiko-timer' => '\f255',
            'kikor kiko-alarm' => '\f256',
            'kikor kiko-alarm-off' => '\f257',
            'kikor kiko-fingerprint' => '\f258',
            'kikor kiko-scan-fingerprint' => '\f259',
            'kikor kiko-computer-virus' => '\f260',
            'kikor kiko-the-compass' => '\f234',
            'kikor kiko-wifi-off' => '\f261',
            'kikor kiko-quote-left' => '\f262',
            'kikor kiko-quote-right' => '\f263',
            'kikor kiko-ellipsis-menu-v' => '\f264',
            'kikor kiko-ellipsis-menu-h' => '\f265',
            'kikor kiko-iphone' => '\f266',
            'kikor kiko-android-phone' => '\f267',
            'kikor kiko-google-pixel-phone' => '\f268',
            'kikor kiko-old-phone' => '\f269',
            'kikor kiko-nokia-3310' => '\f270',
            'kikor kiko-bendable-smartphone' => '\f271',
            'kikor kiko-tablet' => '\f272',
            'kikor kiko-imac-computer' => '\f274',
            'kikor kiko-notebook' => '\f275',
            'kikor kiko-top-notebook' => '\f276',
            'kikor kiko-screen' => '\f277',
            'kikor kiko-mouse' => '\f278',
            'kikor kiko-graphic-pen' => '\f279',
            'kikor kiko-vr' => '\f280',
            'kikor kiko-google-glass' => '\f281',
            'kikor kiko-graphics-tablet' => '\f282',
            'kikor kiko-printer' => '\f283',
            'kikor kiko-scanner' => '\f284',
            'kikor kiko-warehouse-scanner' => '\f285',
            'kikor kiko-iwatch' => '\f286',
            'kikor kiko-smart-watch' => '\f287',
            'kikor kiko-navigator' => '\f288',
            'kikor kiko-dashcam' => '\f289',
            'kikor kiko-music-speaker' => '\f290',
            'kikor kiko-yandex-alice' => '\f291',
            'kikor kiko-cortana-station' => '\f292',
            'kikor kiko-hello-google' => '\f293',
            'kikor kiko-amazon-station' => '\f294',
            'kikor kiko-web-camera' => '\f295',
            'kikor kiko-desktop-microphone' => '\f296',
            'kikor kiko-earphones' => '\f297',
            'kikor kiko-music-headphones' => '\f298',
            'kikor kiko-headphones-microphone' => '\f299',
            'kikor kiko-cable' => '\f300',
            'kikor kiko-socket-eu' => '\f301',
            'kikor kiko-socket-us' => '\f302',
            'kikor kiko-fitness-bracelet' => '\f303',
            'kikor kiko-gps-tracker' => '\f304',
            'kikor kiko-satellite-communication' => '\f305',
            'kikor kiko-television' => '\f306',
            'kikor kiko-digital-tv' => '\f307',
            'kikor kiko-router' => '\f308',
            'kikor kiko-external-drive' => '\f309',
            'kikor kiko-go-pro-camera' => '\f310',
            'kikor kiko-quadcopter' => '\f311',
            'kikor kiko-radio' => '\f312',
            'kikor kiko-transmitter' => '\f313',
            'kikor kiko-baby-radio-monitor' => '\f314',
            'kikor kiko-baby-monitor' => '\f315',
            'kikor kiko-joystick' => '\f316',
            'kikor kiko-portable-console' => '\f317',
            'kikor kiko-ipod' => '\f318',
            'kikor kiko-handsfree' => '\f319',
            'kikor kiko-camera' => '\f320',
            'kikor kiko-professional-camera' => '\f321',
            'kikor kiko-professional-video-camera' => '\f322',
            'kikor kiko-journalist-microphone' => '\f323',
            'kikor kiko-studio-lighting' => '\f324',
            'kikor kiko-robot-pet' => '\f325',
            'kikor kiko-robot-vacuum-cleaner' => '\f326',
            'kikor kiko-robot-big-dog' => '\f327',
            'kikor kiko-humanoid-robot' => '\f328',
            'kikor kiko-robot' => '\f329',
            'kikor kiko-robot-head' => '\f330',
            'kikor kiko-desktop-computer' => '\f273',
            'kikor kiko-anchor' => '\f331',
            'kikor kiko-calendar' => '\f332',
            'kikor kiko-schedule' => '\f333',
            'kikor kiko-address-book' => '\f334',
            'kikor kiko-facebook' => '\f335',
            'kikor kiko-twitter' => '\f336',
            'kikor kiko-dribbble' => '\f337',
            'kikor kiko-behance' => '\f338',
            'kikor kiko-pinterest' => '\f339',
            'kikor kiko-vkontakte' => '\f340',
            'kikor kiko-odnoklassniki' => '\f341',
            'kikor kiko-flipboard' => '\f342',
            'kikor kiko-whatsapp' => '\f343',
            'kikor kiko-blogger' => '\f344',
            'kikor kiko-evernote' => '\f345',
            'kikor kiko-gmail' => '\f346',
            'kikor kiko-line' => '\f347',
            'kikor kiko-myspace' => '\f348',
            'kikor kiko-pocket' => '\f349',
            'kikor kiko-skype' => '\f350',
            'kikor kiko-viadeo' => '\f351',
            'kikor kiko-xing' => '\f352',
            'kikor kiko-linkedin' => '\f353',
            'kikor kiko-naver' => '\f354',
            'kikor kiko-stumbleupon' => '\f355',
            'kikor kiko-viber' => '\f356',
            'kikor kiko-snapchat' => '\f357',
            'kikor kiko-yammer' => '\f358',
            'kikor kiko-digg' => '\f359',
            'kikor kiko-messenger' => '\f360',
            'kikor kiko-live-journal' => '\f361',
            'kikor kiko-newsvine' => '\f362',
            'kikor kiko-qzone' => '\f363',
            'kikor kiko-telegram' => '\f364',
            'kikor kiko-yummly' => '\f365',
            'kikor kiko-douban' => '\f366',
            'kikor kiko-flattr' => '\f367',
            'kikor kiko-hatena' => '\f368',
            'kikor kiko-reddit' => '\f369',
            'kikor kiko-tumblr' => '\f370',
            'kikor kiko-weibo' => '\f371',
            'kikor kiko-google' => '\f372',
            'kikor kiko-yandex' => '\f373',
            'kikor kiko-share' => '\f374',
            'kikor kiko-yandex-aura' => '\f375',
            'kikor kiko-wechat' => '\f376',
            'kikor kiko-baidu' => '\f377',
            'kikor kiko-bing' => '\f378',
            'kikor kiko-like' => '\f379',
            'kikor kiko-unlike' => '\f380',
            'kikos kiko-train' => '\f001',
            'kikos kiko-car' => '\f002',
            'kikos kiko-truck' => '\f003',
            'kikos kiko-bike' => '\f004',
            'kikos kiko-sailboat' => '\f005',
            'kikos kiko-airplane' => '\f006',
            'kikos kiko-helicopter' => '\f007',
            'kikos kiko-motor-scooter' => '\f008',
            'kikos kiko-motorcycle' => '\f009',
            'kikos kiko-air-balloon' => '\f010',
            'kikos kiko-plane-takes-off' => '\f011',
            'kikos kiko-plane-lands' => '\f012',
            'kikos kiko-bus' => '\f013',
            'kikos kiko-cargo-vessel' => '\f014',
            'kikos kiko-electromobile' => '\f015',
            'kikos kiko-rocket' => '\f016',
            'kikos kiko-rocket-shuttle' => '\f017',
            'kikos kiko-ambulance' => '\f018',
            'kikos kiko-police' => '\f019',
            'kikos kiko-tank' => '\f020',
            'kikos kiko-tractor' => '\f021',
            'kikos kiko-tow-truck' => '\f022',
            'kikos kiko-airship' => '\f023',
            'kikos kiko-scooter' => '\f024',
            'kikos kiko-self-balancing-scooter' => '\f025',
            'kikos kiko-segway' => '\f026',
            'kikos kiko-metro' => '\f027',
            'kikos kiko-syringe' => '\f028',
            'kikos kiko-pills' => '\f029',
            'kikos kiko-microscope' => '\f030',
            'kikos kiko-jar-of-medicine' => '\f031',
            'kikos kiko-tubes' => '\f032',
            'kikos kiko-medicine' => '\f033',
            'kikos kiko-toilet' => '\f034',
            'kikos kiko-patch' => '\f035',
            'kikos kiko-pregnancy' => '\f036',
            'kikos kiko-medical-app' => '\f037',
            'kikos kiko-herbs' => '\f038',
            'kikos kiko-recipe' => '\f039',
            'kikos kiko-crushing-of-medicines' => '\f040',
            'kikos kiko-blood' => '\f041',
            'kikos kiko-donor' => '\f042',
            'kikos kiko-brain' => '\f043',
            'kikos kiko-kidneys' => '\f044',
            'kikos kiko-liver' => '\f045',
            'kikos kiko-lungs' => '\f046',
            'kikos kiko-heart' => '\f047',
            'kikos kiko-intestine' => '\f048',
            'kikos kiko-stomach' => '\f049',
            'kikos kiko-healthy-tooth' => '\f050',
            'kikos kiko-aching-tooth' => '\f051',
            'kikos kiko-nose' => '\f052',
            'kikos kiko-ear' => '\f053',
            'kikos kiko-eye' => '\f054',
            'kikos kiko-chest' => '\f055',
            'kikos kiko-doctor' => '\f056',
            'kikos kiko-doctor-woman' => '\f057',
            'kikos kiko-scheduled-med' => '\f058',
            'kikos kiko-hand' => '\f059',
            'kikos kiko-foot' => '\f060',
            'kikos kiko-hospital' => '\f061',
            'kikos kiko-stethoscope' => '\f062',
            'kikos kiko-bacteria' => '\f063',
            'kikos kiko-DNA' => '\f064',
            'kikos kiko-spine' => '\f065,',
            'kikos kiko-bed-rest' => '\f066',
            'kikos kiko-bone' => '\f067',
            'kikos kiko-medical-cross' => '\f068',
            'kikos kiko-medical-cross-usa' => '\f069',
            'kikos kiko-dropper' => '\f070',
            'kikos kiko-heart-rate' => '\f071',
            'kikos kiko-marijuana' => '\f072',
            'kikos kiko-fracture' => '\f073',
            'kikos kiko-urine' => '\f074',
            'kikos kiko-fecal' => '\f075',
            'kikos kiko-diagnostics' => '\f076',
            'kikos kiko-allergy' => '\f077',
            'kikos kiko-call-med' => '\f078',
            'kikos kiko-crutches' => '\f079',
            'kikos kiko-wheelchair' => '\f080',
            'kikos kiko-skull' => '\f081',
            'kikos kiko-childbirth' => '\f082',
            'kikos kiko-vitamins' => '\f083',
            'kikos kiko-exclamation-circle' => '\f084',
            'kikos kiko-exclamation-triangle' => '\f085',
            'kikos kiko-arrow-down-circle' => '\f086',
            'kikos kiko-arrow-up-circle' => '\f087',
            'kikos kiko-arrow-left-circle' => '\f088',
            'kikos kiko-arrow-right-circle' => '\f089',
            'kikos kiko-arrow-up' => '\f090',
            'kikos kiko-arrow-down' => '\f091',
            'kikos kiko-arrow-right' => '\f092',
            'kikos kiko-arrow-left' => '\f093',
            'kikos kiko-double-arrow-up' => '\f094',
            'kikos kiko-double-arrow-down' => '\f095',
            'kikos kiko-double-arrow-left' => '\f096',
            'kikos kiko-double-arrow-right' => '\f097',
            'kikos kiko-clip' => '\f098',
            'kikos kiko-triangular-arrow-up' => '\f099',
            'kikos kiko-triangular-arrow-down' => '\f100',
            'kikos kiko-triangular-arrow-left' => '\f101',
            'kikos kiko-triangular-arrow-right' => '\f102',
            'kikos kiko-email-at' => '\f103',
            'kikos kiko-signal' => '\f104',
            'kikos kiko-bad-signal' => '\f105',
            'kikos kiko-no-signal' => '\f106',
            'kikos kiko-video' => '\f107',
            'kikos kiko-sound-on' => '\f108',
            'kikos kiko-sound-off' => '\f109',
            'kikos kiko-call-on' => '\f110',
            'kikos kiko-call-off' => '\f111',
            'kikos kiko-bluetooth' => '\f112',
            'kikos kiko-wifi' => '\f113',
            'kikos kiko-book-open' => '\f114',
            'kikos kiko-book-close' => '\f115',
            'kikos kiko-bookmark' => '\f116',
            'kikos kiko-light-turn-on' => '\f117',
            'kikos kiko-light-turn-off' => '\f118',
            'kikos kiko-brush' => '\f119',
            'kikos kiko-full-battery' => '\f120',
            'kikos kiko-half-empty-battery' => '\f121',
            'kikos kiko-empty-battery' => '\f122',
            'kikos kiko-check-circle' => '\f123',
            'kikos kiko-check-square' => '\f124',
            'kikos kiko-check' => '\f125',
            'kikos kiko-cross-circle' => '\f126',
            'kikos kiko-cross-square' => '\f127',
            'kikos kiko-cross' => '\f128',
            'kikos kiko-clock' => '\f129',
            'kikos kiko-cloud-download' => '\f130',
            'kikos kiko-cloud-load' => '\f131',
            'kikos kiko-cloud' => '\f132',
            'kikos kiko-loading' => '\f133',
            'kikos kiko-credit-card' => '\f134',
            'kikos kiko-crop' => '\f135',
            'kikos kiko-pencil' => '\f136',
            'kikos kiko-pencil-write' => '\f137',
            'kikos kiko-drop' => '\f138',
            'kikos kiko-no-drop' => '\f139',
            'kikos kiko-email' => '\f140',
            'kikos kiko-email-open' => '\f141',
            'kikos kiko-email-forward' => '\f142',
            'kikos kiko-email-deleted' => '\f143',
            'kikos kiko-email-attachment' => '\f144',
            'kikos kiko-emails' => '\f145',
            'kikos kiko-expand' => '\f146',
            'kikos kiko-open-eye' => '\f147',
            'kikos kiko-no-eye' => '\f148',
            'kikos kiko-trash' => '\f149',
            'kikos kiko-sheet' => '\f150',
            'kikos kiko-sheet-plus' => '\f151',
            'kikos kiko-sheet-minus' => '\f152',
            'kikos kiko-sheet-text' => '\f153',
            'kikos kiko-video-file' => '\f154',
            'kikos kiko-flag' => '\f155',
            'kikos kiko-gift' => '\f156',
            'kikos kiko-globe-europe' => '\f157',
            'kikos kiko-globe-north-america' => '\f158',
            'kikos kiko-globe-asia' => '\f159',
            'kikos kiko-globe-australia' => '\f160',
            'kikos kiko-globe' => '\f161',
            'kikos kiko-home' => '\f162',
            'kikos kiko-hashtag' => '\f163',
            'kikos kiko-headphones' => '\f164',
            'kikos kiko-microphone' => '\f165',
            'kikos kiko-microphone-off' => '\f166',
            'kikos kiko-link' => '\f167',
            'kikos kiko-zoom' => '\f168',
            'kikos kiko-zoom-minus' => '\f169',
            'kikos kiko-zoom-plus' => '\f170',
            'kikos kiko-heart-symbol' => '\f171',
            'kikos kiko-picture' => '\f172',
            'kikos kiko-information' => '\f173',
            'kikos kiko-layers' => '\f174',
            'kikos kiko-hamburger-menu' => '\f175',
            'kikos kiko-plus' => '\f176',
            'kikos kiko-circle-plus' => '\f177',
            'kikos kiko-square-plus' => '\f178',
            'kikos kiko-pause' => '\f179',
            'kikos kiko-record' => '\f180',
            'kikos kiko-forward' => '\f181',
            'kikos kiko-previous' => '\f182',
            'kikos kiko-note' => '\f183',
            'kikos kiko-treble-clef' => '\f184',
            'kikos kiko-navigation' => '\f185',
            'kikos kiko-moon' => '\f186',
            'kikos kiko-sun' => '\f187',
            'kikos kiko-comment' => '\f188',
            'kikos kiko-dialogue' => '\f189',
            'kikos kiko-user' => '\f190',
            'kikos kiko-user-add' => '\f191',
            'kikos kiko-user-minus' => '\f192',
            'kikos kiko-user-check' => '\f193',
            'kikos kiko-user-x' => '\f194',
            'kikos kiko-users' => '\f195',
            'kikos kiko-phone' => '\f196',
            'kikos kiko-turn-off-phone' => '\f197',
            'kikos kiko-question' => '\f198',
            'kikos kiko-label' => '\f199',
            'kikos kiko-off' => '\f200',
            'kikos kiko-shield' => '\f201',
            'kikos kiko-shield-crossed' => '\f202',
            'kikos kiko-gear' => '\f203',
            'kikos kiko-several-gears' => '\f204',
            'kikos kiko-wrench' => '\f205',
            'kikos kiko-shopping-cart' => '\f206',
            'kikos kiko-shopping-cart-add' => '\f207',
            'kikos kiko-shopping-cart-delete' => '\f208',
            'kikos kiko-shopping-cart-pay' => '\f209',
            'kikos kiko-shopping-basket' => '\f210',
            'kikos kiko-shopping-basket-add' => '\f211',
            'kikos kiko-shopping-basket-delete' => '\f212',
            'kikos kiko-termometer-minus' => '\f213',
            'kikos kiko-termometer-plus' => '\f214',
            'kikos kiko-star' => '\f215',
            'kikos kiko-half-star' => '\f216',
            'kikos kiko-text' => '\f217',
            'kikos kiko-lock' => '\f218',
            'kikos kiko-unlock' => '\f219',
            'kikos kiko-umbrella' => '\f220',
            'kikos kiko-save' => '\f221',
            'kikos kiko-save-error' => '\f222',
            'kikos kiko-paper-bag' => '\f223',
            'kikos kiko-circle-checkbox' => '\f224',
            'kikos kiko-circle-checkbox-full' => '\f225',
            'kikos kiko-square-checkbox' => '\f226',
            'kikos kiko-square-checkbox-full' => '\f227',
            'kikos kiko-marker-map' => '\f228',
            'kikos kiko-pin' => '\f229',
            'kikos kiko-map' => '\f230',
            'kikos kiko-lightning' => '\f231',
            'kikos kiko-lightning-off' => '\f232',
            'kikos kiko-pipette' => '\f233',
            'kikos kiko-compass' => '\f234',
            'kikos kiko-copy' => '\f235',
            'kikos kiko-cut' => '\f236',
            'kikos kiko-past' => '\f237',
            'kikos kiko-information-symbol' => '\f238',
            'kikos kiko-download-file' => '\f239',
            'kikos kiko-broken-link' => '\f240',
            'kikos kiko-email-read' => '\f241',
            'kikos kiko-spam' => '\f242',
            'kikos kiko-globe-latin-america' => '\f243',
            'kikos kiko-globe-japan' => '\f244',
            'kikos kiko-globe-africa' => '\f245',
            'kikos kiko-globe-east' => '\f246',
            'kikos kiko-globe-antarctic' => '\f247',
            'kikos kiko-fire' => '\f248',
            'kikos kiko-support' => '\f249',
            'kikos kiko-recycle-symbol' => '\f250',
            'kikos kiko-reload-arrow' => '\f251',
            'kikos kiko-cross-line' => '\f252',
            'kikos kiko-check-line' => '\f253',
            'kikos kiko-plus-line' => '\f254',
            'kikos kiko-timer' => '\f255',
            'kikos kiko-alarm' => '\f256',
            'kikos kiko-alarm-off' => '\f257',
            'kikos kiko-fingerprint' => '\f258',
            'kikos kiko-scan-fingerprint' => '\f259',
            'kikos kiko-computer-virus' => '\f260',
            'kikos kiko-the-compass' => '\f234',
            'kikos kiko-wifi-off' => '\f261',
            'kikos kiko-quote-left' => '\f262',
            'kikos kiko-quote-right' => '\f263',
            'kikos kiko-ellipsis-menu-v' => '\f264',
            'kikos kiko-ellipsis-menu-h' => '\f265',
            'kikos kiko-iphone' => '\f266',
            'kikos kiko-android-phone' => '\f267',
            'kikos kiko-google-pixel-phone' => '\f268',
            'kikos kiko-old-phone' => '\f269',
            'kikos kiko-nokia-3310' => '\f270',
            'kikos kiko-bendable-smartphone' => '\f271',
            'kikos kiko-tablet' => '\f272',
            'kikos kiko-imac-computer' => '\f274',
            'kikos kiko-notebook' => '\f275',
            'kikos kiko-top-notebook' => '\f276',
            'kikos kiko-screen' => '\f277',
            'kikos kiko-mouse' => '\f278',
            'kikos kiko-graphic-pen' => '\f279',
            'kikos kiko-vr' => '\f280',
            'kikos kiko-google-glass' => '\f281',
            'kikos kiko-graphics-tablet' => '\f282',
            'kikos kiko-printer' => '\f283',
            'kikos kiko-scanner' => '\f284',
            'kikos kiko-warehouse-scanner' => '\f285',
            'kikos kiko-iwatch' => '\f286',
            'kikos kiko-smart-watch' => '\f287',
            'kikos kiko-navigator' => '\f288',
            'kikos kiko-dashcam' => '\f289',
            'kikos kiko-music-speaker' => '\f290',
            'kikos kiko-yandex-alice' => '\f291',
            'kikos kiko-cortana-station' => '\f292',
            'kikos kiko-hello-google' => '\f293',
            'kikos kiko-amazon-station' => '\f294',
            'kikos kiko-web-camera' => '\f295',
            'kikos kiko-desktop-microphone' => '\f296',
            'kikos kiko-earphones' => '\f297',
            'kikos kiko-music-headphones' => '\f298',
            'kikos kiko-headphones-microphone' => '\f299',
            'kikos kiko-cable' => '\f300',
            'kikos kiko-socket-eu' => '\f301',
            'kikos kiko-socket-us' => '\f302',
            'kikos kiko-fitness-bracelet' => '\f303',
            'kikos kiko-gps-tracker' => '\f304',
            'kikos kiko-satellite-communication' => '\f305',
            'kikos kiko-television' => '\f306',
            'kikos kiko-digital-tv' => '\f307',
            'kikos kiko-router' => '\f308',
            'kikos kiko-external-drive' => '\f309',
            'kikos kiko-go-pro-camera' => '\f310',
            'kikos kiko-quadcopter' => '\f311',
            'kikos kiko-radio' => '\f312',
            'kikos kiko-transmitter' => '\f313',
            'kikos kiko-baby-radio-monitor' => '\f314',
            'kikos kiko-baby-monitor' => '\f315',
            'kikos kiko-joystick' => '\f316',
            'kikos kiko-portable-console' => '\f317',
            'kikos kiko-ipod' => '\f318',
            'kikos kiko-handsfree' => '\f319',
            'kikos kiko-camera' => '\f320',
            'kikos kiko-professional-camera' => '\f321',
            'kikos kiko-professional-video-camera' => '\f322',
            'kikos kiko-journalist-microphone' => '\f323',
            'kikos kiko-studio-lighting' => '\f324',
            'kikos kiko-robot-pet' => '\f325',
            'kikos kiko-robot-vacuum-cleaner' => '\f326',
            'kikos kiko-robot-big-dog' => '\f327',
            'kikos kiko-humanoid-robot' => '\f328',
            'kikos kiko-robot' => '\f329',
            'kikos kiko-robot-head' => '\f330',
            'kikos kiko-desktop-computer' => '\f273',
            'kikos kiko-anchor' => '\f331',
            'kikos kiko-calendar' => '\f332',
            'kikos kiko-schedule' => '\f333',
            'kikos kiko-address-book' => '\f334',
            'kikos kiko-facebook' => '\f335',
            'kikos kiko-twitter' => '\f336',
            'kikos kiko-dribbble' => '\f337',
            'kikos kiko-behance' => '\f338',
            'kikos kiko-pinterest' => '\f339',
            'kikos kiko-vkontakte' => '\f340',
            'kikos kiko-odnoklassniki' => '\f341',
            'kikos kiko-flipboard' => '\f342',
            'kikos kiko-whatsapp' => '\f343',
            'kikos kiko-blogger' => '\f344',
            'kikos kiko-evernote' => '\f345',
            'kikos kiko-gmail' => '\f346',
            'kikos kiko-line' => '\f347',
            'kikos kiko-myspace' => '\f348',
            'kikos kiko-pocket' => '\f349',
            'kikos kiko-skype' => '\f350',
            'kikos kiko-viadeo' => '\f351',
            'kikos kiko-xing' => '\f352',
            'kikos kiko-linkedin' => '\f353',
            'kikos kiko-naver' => '\f354',
            'kikos kiko-stumbleupon' => '\f355',
            'kikos kiko-viber' => '\f356',
            'kikos kiko-snapchat' => '\f357',
            'kikos kiko-yammer' => '\f358',
            'kikos kiko-digg' => '\f359',
            'kikos kiko-messenger' => '\f360',
            'kikos kiko-live-journal' => '\f361',
            'kikos kiko-newsvine' => '\f362',
            'kikos kiko-qzone' => '\f363',
            'kikos kiko-telegram' => '\f364',
            'kikos kiko-yummly' => '\f365',
            'kikos kiko-douban' => '\f366',
            'kikos kiko-flattr' => '\f367',
            'kikos kiko-hatena' => '\f368',
            'kikos kiko-reddit' => '\f369',
            'kikos kiko-tumblr' => '\f370',
            'kikos kiko-weibo' => '\f371',
            'kikos kiko-google' => '\f372',
            'kikos kiko-yandex' => '\f373',
            'kikos kiko-share' => '\f374',
            'kikos kiko-yandex-aura' => '\f375',
            'kikos kiko-wechat' => '\f376',
            'kikos kiko-baidu' => '\f377',
            'kikos kiko-bing' => '\f378',
            'kikos kiko-like' => '\f379',
            'kikos kiko-unlike' => '\f380',
        );

        $icons = array();
        $icons[""] = "";
        foreach ($this->icons as $key => $value) {
            $new_key = explode(' ', $key);
            $icon_type = $new_key['0'];
            $new_key = $new_key['1'];
            $new_key = str_replace('kiko-', '', $new_key);
            $new_key = str_replace('-', ' ', $new_key);
            $new_key = ucwords($new_key);

            switch ($icon_type){
                case 'kikol':
                    $new_key .= ' Outline';
                    break;

                case 'kikor':
                    $new_key .= ' Regular';
                    break;

                case 'kikos':
                    $new_key .= ' Solid';
                    break;

                default:
                    $new_key .= ' Regular';
            }

            $icons[$key] = $new_key;
        }

        $this->icons = array_flip( $icons );
    }

    public function getIconsArray() {
        return $this->icons;
    }

    public function render($icon, $params = array()) {
        $html = '';
        extract($params);
        $iconAttributesString = '';
        $iconClass = '';
        if (isset($icon_attributes) && count($icon_attributes)) {
            foreach ($icon_attributes as $icon_attr_name => $icon_attr_val) {
                if ($icon_attr_name === 'class') {
                    $iconClass = $icon_attr_val;
                    unset($icon_attributes[$icon_attr_name]);
                } else {
                    $iconAttributesString .= $icon_attr_name . '="' . $icon_attr_val . '" ';
                }
            }
        }

        if (isset($before_icon) && $before_icon !== '') {
            $beforeIconAttrString = '';
            if (isset($before_icon_attributes) && count($before_icon_attributes)) {
                foreach ($before_icon_attributes as $before_icon_attr_name => $before_icon_attr_val) {
                    $beforeIconAttrString .= $before_icon_attr_name . '="' . $before_icon_attr_val . '" ';
                }
            }

            $html .= '<' . $before_icon . ' ' . $beforeIconAttrString . '>';
        }

        $html .= '<span aria-hidden="true" class="qode-icon-kiko ' . $icon . ' ' . $iconClass . '" ' . $iconAttributesString . '></span>';

        if (isset($before_icon) && $before_icon !== '') {
            $html .= '</' . $before_icon . '>';
        }

        return $html;
    }

    /**
     * Checks if icon collection has social icons
     * @return mixed
     */
    public function hasSocialIcons() {
        return false;
    }

    public function getSearchIcon() {

        return $this->render('kiko-zoom kikol');
    }

    public function getSearchClose() {

        return $this->render('kiko-cross-line kikol');
    }

    public function getMenuIcon() {

        return $this->render('kiko-hamburger-menu kikol');
    }

    public function hasBackToTopIcons()	{
        return true;
    }

    public function setBackToTopIconsArray() {
        $this->backTopTopIcons = array(
            ''                      => '',
            'kikol kiko-arrow-up-circle' => esc_html__('Arrow Up Circle - Outline', 'bridge'),
            'kikor kiko-arrow-up-circle' => esc_html__('Arrow Up Circle - Regular', 'bridge'),
            'kikos kiko-arrow-up-circle' => esc_html__('Arrow Up Circle - Solid', 'bridge'),
            'kikol kiko-arrow-up' => esc_html__('Arrow Up - Outline', 'bridge'),
            'kikor kiko-arrow-up' => esc_html__('Arrow Up - Regular', 'bridge'),
            'kikos kiko-arrow-up' => esc_html__('Arrow Up - Solid', 'bridge'),
            'kikol kiko-double-arrow-up' => esc_html__('Double Arrow Up - Outline', 'bridge'),
            'kikor kiko-double-arrow-up' => esc_html__('Double Arrow Up - Regular', 'bridge'),
            'kikos kiko-double-arrow-up' => esc_html__('Double Arrow Up - Solid', 'bridge'),
            'kikol kiko-triangular-arrow-up' => esc_html__('Triangular Arrow Up - Outline', 'bridge'),
            'kikor kiko-triangular-arrow-up' => esc_html__('Triangular Arrow Up - Regular', 'bridge'),
            'kikos kiko-triangular-arrow-up' => esc_html__('Triangular Arrow Up - Solid', 'bridge'),
        );

        $kiko_icons = array();
        $kiko_icons[""] = "";
        foreach ($this->backTopTopIcons as $key => $value) {
            $kiko_icons[$key] = $value;
        }

        $this->backTopTopIcons = $kiko_icons;
    }

    public function getBackToTopIconsArray() {

        return $this->backTopTopIcons;
    }

    public function getSocialIconsArrayVC()	{
        return array();
    }


}
